package org.globus.transfer.reliable.service.cache;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class ConnectionCounter
{
    private static Log logger = LogFactory.getLog(
        ConnectionCounter.class.getName());
    private int numberCachedFDs;

    public ConnectionCounter()
    {
        this.numberCachedFDs = 0;
    }

    /**
     * Increase the number
     */
    public synchronized void add(
        int number)
    {
        this.numberCachedFDs += number;
        if (logger.isDebugEnabled()) {
            logger.debug("cached FDs: " + numberCachedFDs);
        }
    }
    
    /**
     * Decrease the number
     */
    public synchronized void substract(int numberFDs)
    {
        this.numberCachedFDs -= numberFDs;
        if (logger.isDebugEnabled()) {
            logger.debug("cached FDs: " + numberCachedFDs);
        }
    }
    
    /**
     * Get the current value
     */
    public synchronized int getValue()
    {
        return this.numberCachedFDs;
    }
    
}
